from celery import shared_task

from .task_resources import common
from .task_resources import subscription


@shared_task
def purge_users_pending_cart_task():
    common.purge_users_pending_cart()


@shared_task
def process_pending_registrations():
    subscription.process_pending_registrations()


@shared_task
def process_renewals():
    subscription.process_renewals()


@shared_task
def process_bundle_changes(expired_days=14, delete=True):
    subscription.process_bundle_changes(expired_days=expired_days, delete=delete)
